Zonemaster::Engine::Validation(3pm)

NAME
Zonemaster::Engine::Validation - validation functions for other Zonemaster modules

SYNOPSIS
    use Zonemaster::Engine::Validation qw( validate_ipv4 validate_ipv6 );
    my $ip_is_valid = validate_ipv4( $ip_address );

EXPORTED FUNCTIONS

validate_ipv4
        my $ip_is_valid = validate_ipv4( $ip_address );

    Checks if the given IP address is a valid IPv4 address.

    Takes a string (IP address).

    Returns a boolean.

validate_ipv6
        my $ip_is_valid = validate_ipv6( $ip_address );

    Checks if the given IP address is a valid IPv6 address.

    Takes a string (IP address).

    Returns a boolean.